Package org.eclipse.wst.xsl.ui.internal.editor

## org.eclipse.wst.xsl.ui.internal.editor
Class OverrideIndicatorImageProvider

    public class OverrideIndicatorImageProvider
    extends java.lang.Object

Image provider for {@link org.eclipse.wst.xsl.ui.internal.editor.jdt.internal.ui.javaeditor.OverrideIndicatorManager.OverrideIndicator} annotations.

## Constructor Summary

`OverrideIndicatorImageProvider()`

## Method Summary

`public ImageDescriptor` | `getImageDescriptor(java.lang.String imageDescritporId)`
`public java.lang.String` | `getImageDescriptorId(Annotation annotation)`
`public Image` | `getManagedImage(Annotation annotation)` This does not support managing its own image.

## Constructor Detail

## OverrideIndicatorImageProvider

`public OverrideIndicatorImageProvider()`

## Methods Detail

## getImageDescriptor

`public ImageDescriptor getImageDescriptor(java.lang.String imageDescritporId)`

### Parameters

`imageDescritporId`

### Returns

`ImageDescriptor`

## getImageDescriptorId

`public java.lang.String getImageDescriptorId(Annotation annotation)`

### Parameters

`annotation`

### Returns

`java.lang.String`

## getManagedImage

`public Image getManagedImage(Annotation annotation)`

This does not support managing its own image.

### Parameters

`annotation`

### Returns

`Image` - null